{% extends 'spritju/esvaas/base.html' %}
{% load static %}
{% block title %}
    <title>Spritju 1.0 - Consumption</title>
{% endblock %}

{% block page-content %}
    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800">Consumption</h1>
        <p class="mb-4">Here you can see your hourly consumption data.</p>

        <!-- Content Row -->
        <div class="row">

            <div class="col-xl-8 col-lg-7">

                <!-- Area Chart -->
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Hourly Consumption</h6>
                    </div>
                    <div class="card-body">
                        <div class="chart-bar">
                            <canvas id="consumptionBarChart"></canvas>
                        </div>
                        <hr>
                        Consumption data for 1, April 2022.
                    </div>
                </div>

            </div>
            <!-- Illustrations -->
            <div class="col-xl-4 col-lg-5">

                        <div class="text-center">
                            <img class="img-fluid px-3 px-sm-4 mt-3 mb-4" style="width: 75rem;"
                                 src="{% static 'img/esvaas/consumption.png' %}" alt="...">
                        </div>

            </div>
        </div>

    </div>

    <div class="invisible">
        <input type="text" name="input" id="consumption-data" value="{{ consumptions }}">
    </div>
    <!-- /.container-fluid -->
{% endblock %}
